What is GNAT ?
--------------

GNAT is an industrial-quality Ada 95 compiler, integrated into the GCC
retargetable compiler system.  GNAT  is a complete compiler, validated
on several platforms, that includes support for all the Ada 95 annexes
specified in the Ada Reference manual. Because of its integration into
the  GCC   system,   GNAT  is   available  on   a   large   number  of
hardware/operating system  platforms,    and  can   be  used  as     a
cross-compiler from any  of its targets to any  other  one. Because of
the  common code-generator   technology   of GCC,  GNAT  has excellent
support for multi-language programming: Ada, C, C++, Fortran, etc.

GNAT  also  represents  a substantial improvement  in  Ada compilation
technology.  Its  open-system  philosophy stands in contrast  with the
opaque approach of  older  Ada compilers.  There   are  no hidden  and
complex central libraries  whose use  requires  a totally new set   of
commands,   and no  rigid development environments    that often force
needless recompilations.  While preserving all of Ada's safety, GNAT's
source-based model  provides the  flexibility and efficiency typically
encountered   in  C development  environments.    Furthermore,  GNAT's
flexibility greatly  facilitates its  integration  within  third-party
development environments and  CASE    tools.  A number   of   standard
editors,  debuggers,  profilers, memory   analyzers, test  coverage or
configuration-management tools,   etc.  can be used  with  GNAT, which
coexists confortably with familiar programming tools (unlike older Ada
compilation systems).

GCC is a highly portable compilation  system with multiple front-ends,
advanced cross-compilation features,  and a common code generator with
multiple targets.  Originally  designed as  a compiler  for  C, it now
includes front ends  for  C++, Objective-C, Fortran77,  Pascal, Chill,
and most  recently  Ada 95.  The  innovative architecture   of the GCC
back end allows new hardware targets to be described compactly, for use
by a machine-independent   and  language-independent  multi-pass  code
generator.  This technique produces code of excellent quality both for
CISC machines such as the Intel x86 and Motorola 68K families, and for
RISC machines such as the Power/PC, the DEC Alpha, the HP-PA RISC, the
RS6000, and the MIPS R4000.
